# RGAA 3.0 -  Rule 11.10.4

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that each input error is displayed has to be done manually.

## Business description

### Criterion

[11.10](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-10)

###Test

[11.10.4](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-10-4)

### Description

Pour chaque formulaire, les erreurs de saisie v&eacute;rifient-elles une de ces conditions ? 
 
 * L'erreur de saisie est indiqu&eacute;e dans l'&eacute;tiquette (balise `label`, attribut `title`, propri&eacute;t&eacute; ARIA `aria-label`, passage de texte li&eacute; via la propri&eacute;t&eacute; ARIA `aria-labelledby`) du champ de formulaire 
 * L'erreur de saisie est indiqu&eacute;e par un passage de texte avant le champ de formulaire 
 * Le champ de formulaire poss&egrave;de un `type` qui produit de mani&egrave;re automatique un message d'erreur de saisie 
 * L'erreur de saisie est indiqu&eacute;e par un passage de texte li&eacute; par la propri&eacute;t&eacute; ARIA `aria-describedby` 
 * L’erreur de saisie est indiqu&eacute;e via la propri&eacute;t&eacute; ARIA `aria-invalid` 


### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
