# RGAA 3.0 -  Rule 11.10.7

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that the type or the format of each mandatory input is displayed has to be done manually.

## Business description

### Criterion

[11.10](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-10)

###Test

[11.10.7](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-10-7)

### Description

Pour chaque formulaire, chaque champ obligatoire v&eacute;rifie-t-il une de ces conditions ? 
 
 * Le type de donn&eacute;e et/ou de format est indiqu&eacute;, si n&eacute;cessaire, dans l'&eacute;tiquette (balise `label`, attribut `title`, propri&eacute;t&eacute; ARIA `aria-label`, texte li&eacute; via la propri&eacute;t&eacute; ARIA `aria-labelledby`) du champ  
 * Le type de donn&eacute;e et/ou de format est indiqu&eacute;, si n&eacute;cessaire, par un passage de texte avant le champ de formulaire 
 * Le type de donn&eacute;e et/ou de format est indiqu&eacute;, si n&eacute;cessaire, par un texte li&eacute; par la propri&eacute;t&eacute; ARIA `aria-describedby` 


### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
