# RGAA 3.0 -  Rule 11.14.1

## Summary

This test consists in detecting `<form>` tags on the page.

The control that checks that each some help mechanisms are provided for each form has to be done manually.

## Business description

### Criterion

[11.14](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-14)

###Test

[11.14.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-14-1)

### Description

Chaque formulaire v&eacute;rifie-t-il une de ces conditions ? 
 
 * Il existe un lien vers une page d'aide 
 * Il existe des indications avant le formulaire 
 * Il existe des indications avant les champs de formulaire 
 * Il existe des indications dans l'&eacute;tiquette (balise `label`, attribut `title`, propri&eacute;t&eacute; `aria-label`, passage de texte li&eacute; via la propri&eacute;t&eacute; `aria-labelledby`) du champ de formulaire 
 *  Il existe des indications dans un passage de texte li&eacute; par la propri&eacute;t&eacute; ARIA `aria-describedby` 
 * Un assistant est disponible 

### Level

**AAA**

## Technical description

### Scope

**Page**

### Decision level

**Decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags (form)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
