# RGAA 3.0 -  Rule 11.2.2

## Summary

This test consists in detecting all the user input tags that have a `"title"` attribute.

The control that checks that the `"title"` attribute identifies precisely the input it is asssociated with has to be done manually.

## Business description

### Criterion

[11.2](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-2)

### Test

[11.2.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-2-2)

### Description

Chaque attribut `title` permet-il de conna&icirc;tre la fonction exacte du <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mChpSaisie">champ de formulaire</a> auquel il est associ&eacute; ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

-   All the `<input>` tags with a "title" attribute and a "type"
    attribute equals to:
    -   "text"
    -   or "password"
    -   or "checkbox"
    -   or "radio"
    -   or "file"

-   AND all the `<textarea>` tags with a "title" attribute
-   AND all the `<select>` tags with a "title" attribute

### Process

#### Test1

The selection handles the process.

For each occurence of the selection raise a MessageA

###### MessageA : Check Manually the elements

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : title attribute, tag name
-   present in source : yes

### Analysis

#### Not Applicable

The page has no user form input tag that have a `"title"` attribute (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

-   We only detect the elements of the scope of the test to determine
    whether the test is applicable

