# RGAA 3.0 -  Rule 11.3.1

## Summary

This test consists in detecting each `<label>` tag within `<form>` tags that contain `<input>` elements.

## Business description

### Criterion

[11.3](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-3)

### Test

[11.3.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-3-1)

### Description

Chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mEtiquette">&eacute;tiquette</a> associ&eacute;e &agrave; un champ de formulaire ayant la m&ecirc;me fonction et r&eacute;p&eacute;t&eacute;e plusieurs fois dans une m&ecirc;me page est-elle coh&eacute;rente ?

### Level

**AA**

## Technical description

### Scope

**page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<form>` tags with `<label>` children tags and that have at least one input element (form:has(textarea , select , input[type=password] , input[type=checkbox] , input[type=file] , input[type=text] , input[type=radio]) label)

### Process

#### Test1

The selection handles the process.

For each occurence of the **Set1**, raise a MessageA

###### MessageA : Check Manually the elements

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : text, tag name
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<form>` tag with `<label>` tag as child (**Set1** is empty)

#### Pre-qualified

At least one `<label>` tag within `<form>` has been detected (**Set1** is not empty)

## Notes

-   We only detect the elements of the scope of the test to determine
    whether the test is applicable
-   We assume here that the raised messages focus on the `<form>` element
    and not on the `<label>` elements

