# RGAA 3.0 -  Rule 11.6.1

## Summary

This test consists in checking whether each fieldset tag is followed by
a legend tag in the source code.

## Business description

### Criterion

[11.6](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-6)

### Test

[11.6.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-6-1)

### Description

Chaque regroupement de champs de formulaire (balise `fieldset`) est-il suivi dans le code source par une l&eacute;gende (balise `legend`) ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**decidable**

## Algorithm

### Selection

#### Set1

All the `<fieldset>` tags.

### Process

##### Test1

For each element of **Set1**, test if at least one `<legend>` child tag is present.

For each occurence of false-result of **Test1**, raise a MessageA

###### MessageA : FieldSet without legend

-   code :FieldSetWithoutLegend
-   status: Failed
-   parameter : tag name
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<fieldset>` tag (**Set1** is empty)

#### Failed

At least `<fieldset>` tag has no `<legend>` tag as child (**Test1** returns false for at least one element of **Set1**).

#### Passed

At least `<fieldset>` tags have a `<legend>` tag as child (**Test1** returns true for all the elements of **Set1**).
