# RGAA 3.0 -  Rule 11.7.1

## Summary

This test consists in checking whether each legend associated with a
fieldset is relevant

## Business description

### Criterion

[11.7](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-7)

### Test

[11.7.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-7-1)

### Description

Dans chaque formulaire, chaque l&eacute;gende (balise `legend`) associ&eacute;e &agrave; un groupement de champs de formulaire (balise `fieldset`) est-elle pertinente ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the `<legend>` tags with a `<fieldset>` ancestor (fieldset legend)

### Process

#### Test1

For each occurence of the **Set1**, check whether the textual content is not relevant (see Notes about relevancy detection).

For each occurence of true-result of **Test1**, raise a MessageA.

For each occurence of false-result of **Test1**, raise a MessageB.

###### MessageA : Not pertinent legend

-   code : NotPertinentLegend
-   status: Failed
-   parameter : text, tag name
-   present in source : yes

###### MessageB : Check Legend Pertinence

-   code : CheckLegendPertinence
-   status: Pre-Qualified
-   parameter : text, tag name
-   present in source : yes

### Analysis

#### Not Applicable

The page has no `<legend>` tag with a `<fieldset>` ancestor (**Set1** is empty)

#### Failed 

At least one `<legend>` is not relevant (**Test1** returns true for at least one element)

#### Pre-qualified

All the `<legend>` tags are not seen as not relevant (**Test1** returns true for all elements of **Set1**)

## Notes

***Definition of not-pertinent legend :***

A `<legend>` is seen as not-pertinent in the following cases :

-   the content of the tag is empty
-   the content of the tag only contains non alphanumerics characters
