# RGAA 3.0 -  Rule 11.9.1

## Summary

This test consists in detecting all the buttons in `<form>` tags on the page.

The control that checks that each mandatory inputs are well identify has to be done manually.

## Business description

### Criterion

[11.9](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-11-9)

###Test

[11.9.1](http://references.modernisation.gouv.fr/referentiel-technique-0#test-11-9-1)

### Description

Dans chaque formulaire, l'intitul&eacute; de chaque <a href="http://references.modernisation.gouv.fr/referentiel-technique-0#mBtnForm">bouton</a> v&eacute;rifie-t-il une de ces conditions ? 
 
 *  Le contenu de l'attribut value des boutons de formulaire de type `submit`, `reset` ou `button` est pertinent 
 *  Le contenu de la balise `<button>` est pertinent 
 *  Le contenu de l'attribut `title` est pertinent 
 * Le contenu de la propri&eacute;t&eacute; ARIA `aria-label` est pertinent 


### Level

**A**

## Technical description

### Scope

**Page**

### Decision level

**Semi-decidable**

## Algorithm

### Selection

#### Set1

All the possible implementation of buttons in a `<form>` tag (form input[type=submit] , form input[type=reset] , form input[type=button] , form input[type=button] , form button  )

#### Test1

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Manual check on element

-   code : ManualCheckOnElements
-   status: Pre-Qualified
-   parameter : snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has no button in a `<form>` tag (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.
