# RGAA 3.0 -  Rule 13.2.2

## Summary

This test consists in detecting `<object>` and `<embed>` tags on the page.

The control that checks that the user is warned has to be done manually.

## Business description

### Criterion

[13.2](http://references.modernisation.gouv.fr/referentiel-technique-0#crit-13-2)

### Test

[13.2.2](http://references.modernisation.gouv.fr/referentiel-technique-0#test-13-2-2)

### Description

Dans chaque page Web, pour chaque ouverture d'une nouvelle fen&ecirc;tre effectu&eacute;e via une balise `object`, ou `embed`, l'utilisateur est-il averti ?

### Level

**A**

## Technical description

### Scope

**page**

### Decision level

**semidecidable**

## Algorithm

### Selection

#### Set1

All the `<embed>` and `<object>` tags (embed, object)

### Process

The selection handles the process.

For each occurence of the **Set1** raise a MessageA

##### MessageA: Check user is warned in case of new window open

-   code : CheckUserIsWarnedInCaseOfNewWindow
-   status: Pre-Qualified
-   parameter : text, title attribute, snippet
-   present in source : yes

### Analysis

#### Not Applicable

The page has neither `<object>` nor `<embed>` tags (**Set1** is empty)

#### Pre-qualified

In all other cases

## Notes

We detect the elements of the scope of the test to determine whether the
test is applicable.

On latest webdev data set (2013-10-30, 78,000 pages), the test scope
(embed, applet, object) has been found on 6795 pages, i.e on 8.7% of the
pages
